/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.dao.hibernate;

import com.rjconsultores.ventaboletos.dao.MotivocancelacionEquivalenciaDAO;
import com.rjconsultores.ventaboletos.entidad.ComisionistaExterno;
import com.rjconsultores.ventaboletos.entidad.MotivoCancelacion;
import com.rjconsultores.ventaboletos.entidad.MotivocancelacionEquivalencia;
import java.util.List;
import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

/**
 *
 * @author Administrador
 */
@Repository("motivocancelacionEquivalenciaDAO")
public class MotivocancelacionEquivalenciaHibernateDAO extends GenericHibernateDAO<MotivocancelacionEquivalencia, Integer>
        implements MotivocancelacionEquivalenciaDAO {

    @Autowired
    public MotivocancelacionEquivalenciaHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
        setSessionFactory(factory);
    }

    public List<MotivocancelacionEquivalencia> buscar(ComisionistaExterno comisionistaExterno, MotivoCancelacion motivoCancelacion) {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq("comisionistaExterno", comisionistaExterno));
        c.add(Restrictions.eq("motivoCancelacion", motivoCancelacion));

        return c.list();
    }

    public List<MotivocancelacionEquivalencia> buscarEquivalencia(MotivocancelacionEquivalencia motivoCancelacionEquivalencia) {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq("equivalenciaId", motivoCancelacionEquivalencia.getEquivalenciaId()));

        return c.list();
    }
}
